#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo  %{name} | tr -s '-' '_')
#-----------------------------------------------------------------------------
Name		:	iucode-tool
Version		:	v2.3.1
Release		:	14.8.0.0%{?dist}
Summary		:	Intel® 64 and IA-32 processor microcode tool
Group		:	Applications/Internet

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://gitlab.com/iucode-tool/iucode-tool

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
'%{name}' is a program to manipulate microcode update
collections for Intel i686 and X86-64 system processors,
and prepare them for use by the Linux kernel.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)

%doc AUTHORS COPYING NEWS README
%{_sbindir}/%{sname}
%{_mandir}/man8/%{sname}.8.gz

%changelog
